ヘッダーイメージ 本文へジャンプ
日記

2011年06月04日 20時27分
CGI が動かなくなる
CentOS 上の Apache で久しぶりに CGI を使って見たら、動かなくなっていた・・・

ブラウザーには「Internal Server Error」とか「The server encountered an internal error or misconfiguration and was unable to complete your request.」って出るし

エラーログには「Premature end of script headers」

意味わからん

でも良く見るとエラーログの直上に「suexec policy violation: see suexec log for more details」って出てました

これは前に見たことある!
確か suexec の設定がおかしいって言ってたと思う
でも、以前に suexec 使わないようにモジュールリネームしたはず???

そう思いながらディレクトリーを確認すると suexec が復活してました!
なんで?って思いながら、もう一度リネームして httpd をリスタート

動くようになりました!

けどなんで?って良く考えると、ちょっと前にサーバーのアップデートしてました・・・
yum -y update って

これか!


・CentOSの設定
・SPFレコードのチェック
・CGI が動かなくなる
・CentOSのバージョンアップ
・PostgreSQLのバージョンアップではまった
・Postgresql の互換性
・Java Web Start の互換性(?)

カテゴリー:日記
目次へ戻る


フッターイメージ